org.codehaus.plexus.interpolation.fixed

## Class InterpolationCycleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.codehaus.plexus.interpolation.fixed.InterpolationCycleException

All Implemented Interfaces:
  Serializable

    public class InterpolationCycleException
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InterpolationCycleException(RecursionInterceptor recursionInterceptor, String realExpr, String wholeExpr)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InterpolationCycleException

    public InterpolationCycleException(RecursionInterceptor recursionInterceptor,
                                       String realExpr,
                                       String wholeExpr)